# Uses of Interface
org.apache.avro.ipc.Server

Packages that use Server
Package
Description
org.apache.avro.ipc
Support for inter-process calls.

## Uses of Server in org.apache.avro.ipc

Classes in org.apache.avro.ipc that implement Server
Modifier and Type
Class
Description
`class`
`DatagramServer`
A datagram-based server implementation.
`class`
`SaslSocketServer`
A `Server` that uses `javax.security.sasl` for authentication and encryption.
`class`
`SocketServer`
Deprecated.
use `SaslSocketServer` instead.
Methods in org.apache.avro.ipc that return Server
Modifier and Type
Method
Description
`static Server`
Ipc.`createServer(Responder responder, URI uri)`
Create a `Server` listening at the named URI using the provided responder.